package it.integry.integrywmsnative.gest.prod_accettazione_ord_produzione;

import dagger.Module;
import dagger.Provides;
import it.integry.integrywmsnative.gest.prod_accettazione_ord_produzione.rest.ProdOrdineProduzioneRESTConsumer;

@Module(subcomponents = ProdOrdineProduzioneElencoComponent.class)
public class ProdOrdineProduzioneElencoModule {

    @Provides
    ProdOrdineProduzioneRESTConsumer providesProdOrdineProduzioneRESTConsumer() {
        return new ProdOrdineProduzioneRESTConsumer();
    }

    @Provides
    ProdOrdineProduzioneElencoViewModel providesProdOrdineProduzioneElencoViewModel(ProdOrdineProduzioneRESTConsumer prodOrdineProduzioneRESTConsumer) {
        return new ProdOrdineProduzioneElencoViewModel(prodOrdineProduzioneRESTConsumer);
    }

}
